org.springframework.jca.context

## Interface BootstrapContextAware

- All Superinterfaces:
    Aware
  All Known Implementing Classes:
    GlassFishWorkManagerTaskExecutor, JBossWorkManagerTaskExecutor, WorkManagerTaskExecutor

      public interface BootstrapContextAware
      extends Aware

  Interface to be implemented by any object that wishes to be notified of the BootstrapContext (typically determined by the `ResourceAdapterApplicationContext`) that it runs in.
  Since:
    2.5
  Author:
    Juergen Hoeller, Chris Beams
  See Also:
    `BootstrapContext`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setBootstrapContext(BootstrapContext bootstrapContext)` Set the BootstrapContext that this object runs in.

- - ### Method Detail

    - #### setBootstrapContext

          void setBootstrapContext(BootstrapContext bootstrapContext)

      Set the BootstrapContext that this object runs in.

      Invoked after population of normal bean properties but before an init callback like InitializingBean's `afterPropertiesSet` or a custom init-method. Invoked after ApplicationContextAware's `setApplicationContext`.

      Parameters:
        `bootstrapContext` - BootstrapContext object to be used by this object
      See Also:
        `InitializingBean.afterPropertiesSet()`, `ApplicationContextAware.setApplicationContext(org.springframework.context.ApplicationContext)`